// vim: set tabstop=4 shiftwidth=4 noexpandtab
/*
Gwenview - A simple image viewer for KDE
Copyright 2000-2004 Aur�lien G�teau
 
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.
 
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
 
You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 
*/
#ifndef DOCUMENTJPEGLOADEDIMPL_H
#define DOCUMENTJPEGLOADEDIMPL_H

// TQt
#include <tqimage.h>

// Local
#include "documentloadedimpl.h"
namespace Gwenview {

class Document;

class DocumentJPEGLoadedImplPrivate;

class DocumentJPEGLoadedImpl : public DocumentLoadedImpl {
Q_OBJECT
  TQ_OBJECT
public:
	DocumentJPEGLoadedImpl(Document* document, const TQByteArray& rawData);
	~DocumentJPEGLoadedImpl();
	void init();
	
	TQString comment() const;
	void setComment(const TQString&);
	Document::CommentState commentState() const;

	TQString aperture() const;
	TQString exposureTime() const;
	TQString iso() const;
	TQString focalLength() const;

	void transform(ImageUtils::Orientation);

protected:
	TQString localSave(TQFile*, const TQCString& format) const;
	
private:
	DocumentJPEGLoadedImplPrivate* d;
};

} // namespace
#endif /* DOCUMENTJPEGLOADEDIMPL_H */

